/*
 *  GGScene.m
 *
 *  Copyright (c) 2001 by Frdric De Jaeger
 *  
 *  Date: Mars 2001
 *
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <GL/gl.h>
#include <GL/glx.h>
#include <X11/keysym.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <math.h>

#include <Foundation/NSObject.h>
#include <Foundation/NSString.h>
#include <Foundation/NSDebug.h>
#include <Foundation/NSDictionary.h>
#include <Foundation/NSException.h>
#include <Foundation/NSArray.h>
#include "GGInput.h"
#include "GGScene.h"
#include "GGRepere.h"
#include "utile.h"
#include "GG3D.h"
#include "Tableau.h"
#include "Commandant.h"
#include "perlin.h"
#include "GGBlock.h"
#include "Texture.h"
#include "Preference.h"

GGScene *theGGScene;

#if 0
@implementation GGScene

- (void) buildCube
{


  b1 = RETAIN([GGBlock topBlockWithManager: &context
		       bump: [PerlinBumpCube 
			       bumpWithNorm: mkVect(1, 0, 0)
			       dir: mkVect(0, 1, 0)]
		       at: -1
		       and: -1
		       width: 2
		       height: 2]);
  b2 = RETAIN([GGBlock topBlockWithManager: &context
		       bump: [PerlinBumpCube 
			       bumpWithNorm: mkVect(0, 1, 0)
			       dir: mkVect(-1, 0, 0)]
		       at: -1
		       and: -1
		       width: 2
		       height: 2]);
  b3 = RETAIN([GGBlock topBlockWithManager: &context
		       bump: [PerlinBumpCube 
			       bumpWithNorm: mkVect(-1, 0, 0)
			       dir: mkVect(0, -1, 0)]
		       at: -1
		       and: -1
		       width: 2
		       height: 2]);
  b4 = RETAIN([GGBlock topBlockWithManager: &context
		       bump: [PerlinBumpCube 
			       bumpWithNorm: mkVect(0, -1, 0)
			       dir: mkVect(1, 0, 0)]
		       at: -1
		       and: -1
		       width: 2
		       height: 2]);

  b5 = RETAIN([GGBlock topBlockWithManager: &context
		       bump: [PerlinBumpCube 
			       bumpWithNorm: mkVect(0, 0, 1)
			       dir: mkVect(1, 0, 0)]
		       at: -1
		       and: -1
		       width: 2
		       height: 2]);

  b6 = RETAIN([GGBlock topBlockWithManager: &context
		       bump: [PerlinBumpCube 
			       bumpWithNorm: mkVect(0, 0, -1)
			       dir: mkVect(-1, 0, 0)]
		       at: -1
		       and: -1
		       width: 2
		       height: 2]);

  b1->gauche = b4;
  b2->gauche = b1;
  b3->gauche = b2;
  b4->gauche = b3;

  b1->droite = b2;
  b2->droite = b3;
  b3->droite = b4;
  b4->droite = b1;

  b1->haut = b5;
  b2->haut = b5;
  b3->haut = b5;
  b4->haut = b5;

  b1->bas = b6;
  b2->bas = b6;
  b3->bas = b6;
  b4->bas = b6;


  b5->bas = b4;
  b5->droite = b1;
  b5->haut = b2;
  b5->gauche = b3;

  b6->bas = b4;
  b6->droite = b3;
  b6->haut = b2;
  b6->gauche = b1;
}

@end

#endif
