/* 	-*-ObjC-*- */
/*
 *  Goodies.h
 *
 *  Copyright (c) 2001 by Frdric De Jaeger
 *  
 *  Date: Mars 2001
 *
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __Goodies_h
#define __Goodies_h

#include "NSView.h"

@class Item;
@class GGString;

@interface Quantite : NSView
{
  GGString	*str;
  GGString	*prix1, *prix2;
  GGString	*masse;
  Item		*theItem;
  id		target;
  SEL		selBuy;
  SEL		selSell;
  GGBouton	*temp;
}
+ quantiteWithItem: (Item *) it;
- (void) setPrixAchat: (int) prixA
	    prixVente: (int) prixV;
- (void) setManager: obj
 withSelectorForBuy: (SEL) aSelBuy
 andSelectorForSell: (SEL) aSelSell;
- (void) setQuantite: (int) val;
- (Item *) item;
@end


@interface MarketPlace : NSView
{
  GGMenu	*menu;
  GGString 	*fric, *masseFret;
}
- initWithGoodies: (NSArray *) goodies;
@end

#endif
