/* -*-C-*- */

%{
  #include "y.tab.h"
  #include "parser.h"
  extern int yyNumLigne;
  double yyValueDouble;
%}

DIGIT		[0-9]
LETTER		[[:alpha:]_]

%%

"\n"		yyNumLigne++;
[\t ]
Shape		return SHAPE;
FALSE		yylval->valDouble = 0; return DOUBLE;
TRUE		yylval->valDouble = 1; return DOUBLE;
{DIGIT}+"."{DIGIT}* yylval->valDouble = atof(yytext); return DOUBLE;
{DIGIT}+	yylval->valDouble = atoi(yytext); return DOUBLE;


<<EOF>>		return EOF
