/* 	-*-ObjC-*- */
/*
 *  GGRepere.h
 *
 *  Copyright (c) 2001 by Frdric De Jaeger
 *  
 *  Date: Mars 2001
 *
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __GGRepere_h
#define __GGRepere_h

#include "GGSpaceObject.h"

@class GGSky;
@class GGOrbiteur;
@class Sched;
@class PlaneteManager;

typedef enum __mode_repere
{
  RepereNormal = 0,
  ReperePlanete = 1
}Mode_Repere;

#include "GGNode.h"

@interface GGRepere : GGNode
{
  //  FIXME: horrible hack, should be private
  @public
  Mode_Repere		modeRepere;
}
//- (Mode_Repere) modeRepere;
- (void) updateOrigine: (GGSpaceObject *) obj;

@end

#define FacteurEchelle  1.0

#define PosPlaneteOrigine(x) (&((x)->posPlaneteOrigine))
#define VitPlaneteOrigine(x) (&((x)->vitPlaneteOrigine))


#endif
