/*
 *  config.h
 *
 *  Copyright (c) 2001 by Frdric De Jaeger
 *  
 *  Date: Mars 2001
 *
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __config_h
#define __config_h

#include <GL/gl.h>

//typedef GLdouble real;
typedef GLfloat real;
typedef short int int16;

#define glMultMatrix glMultMatrixf
#define glLoadMatrix glLoadMatrixf
#define glVertex3v(x) glVertex3fv((real*)(x))
#define glNormal3v(x) glNormal3fv((real*)(x))
#define glColor4v(x) glColor4fv((real*)(x))
#define glTexCoord3v(x) glTexCoord3fv((real*)(x))

/* various constant used everywhere...
 */

#define NBRFLARES 12
#define NTEXTUREFLARE 6
//#define GGDefaultFontName @"lynx.ttf" un peu nul
#define GGDefaultFontName @"c0648bt_.pfb"
#define Fixed6x12 @"6x12.pcf"

#define HauteurTableauBord 100
#define Focal 45

#define ScaleFactorForShipView 1.5
#define SIZETEXTURESKY 512

#define NBRSEGMENTINCIRCLE 50

static const real distanceCameraRepere2 = 1e12;

#define BorderColor {0.4, 1, 0.4}

#endif
